Closed Bug 1467363 Opened 2 years ago Closed Last year

Intermittent GECKO(5160) | SUMMARY: AddressSanitizer: heap-use-after-free z:\build\build\src\gfx\cairo\cairo\src\cairo-gstate.c:218 in _cairo_gstate_fini

Categories

(Core :: Graphics, defect)

defect
Not set

Tracking

()

RESOLVED FIXED
mozilla62
Tracking Status
firefox-esr52 --- wontfix
firefox-esr60 62+ fixed
firefox60 --- wontfix
firefox61 --- wontfix
firefox62 + fixed

People

(Reporter: intermittent-bug-filer, Assigned: bas.schouten)

References

Details

(Keywords: csectype-uaf, intermittent-failure, sec-moderate, Whiteboard: [post-critsmash-triage][adv-main62+][adv-esr60.2+])

Attachments

(1 file)

Filed by: btara [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=182207009&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/YnRqq7FmSTW3ngeYPZdWXg/runs/0/artifacts/public/logs/live_backing.log

02:36:30     INFO -  GECKO(5160) | Browser loaded about:robots
02:36:30     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,sortingMode:..,sortingAnnotation:..,suppressNotifications:..,addObserver:..,removeObserver:..,root:.., } Need to have a result to update
02:36:30     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:30     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:30     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:30     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,sortingMode:..,sortingAnnotation:..,suppressNotifications:..,addObserver:..,removeObserver:..,root:.., } Need to have a result to update
02:36:30     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:30     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:30     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:32     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,sortingMode:..,sortingAnnotation:..,suppressNotifications:..,addObserver:..,removeObserver:..,root:.., } Need to have a result to update
02:36:32     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:32     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:32     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,sortingMode:..,sortingAnnotation:..,suppressNotifications:..,addObserver:..,removeObserver:..,root:.., } Need to have a result to update
02:36:32     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:32     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:32     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:32     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,sortingMode:..,sortingAnnotation:..,suppressNotifications:..,addObserver:..,removeObserver:..,root:.., } Need to have a result to update
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,sortingMode:..,sortingAnnotation:..,suppressNotifications:..,addObserver:..,removeObserver:..,root:.., } Need to have a result to update
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,sortingMode:..,sortingAnnotation:..,suppressNotifications:..,addObserver:..,removeObserver:..,root:.., } Need to have a result to update
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,sortingMode:..,sortingAnnotation:..,suppressNotifications:..,addObserver:..,removeObserver:..,root:.., } Need to have a result to update
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:33     INFO -  GECKO(5160) | console.assert: {QueryInterface:..,parent:..,parentResult:..,uri:..,type:..,title:..,accessCount:..,time:..,icon:..,indentLevel:..,bookmarkIndex:..,itemId:..,dateAdded:..,lastModified:..,tags:..,pageGuid:..,bookmarkGuid:..,visitId:..,fromVisitId:..,visitType:..,containerOpen:..,state:..,hasChildren:..,childCount:..,getChild:..,getChildIndex:..,RESULT_TYPE_URI:..,RESULT_TYPE_QUERY:..,RESULT_TYPE_FOLDER:..,RESULT_TYPE_SEPARATOR:..,RESULT_TYPE_FOLDER_SHORTCUT:..,STATE_CLOSED:..,STATE_LOADING:..,STATE_OPENED:..,query:..,queryOptions:..,folderItemId:..,targetFolderGuid:.., } null container
02:36:33     INFO -  GECKO(5160) | =================================================================
02:36:33    ERROR -  GECKO(5160) | ==5160==ERROR: AddressSanitizer: heap-use-after-free on address 0x1180d8bcf248 at pc 0x7ffca545511c bp 0x00512eff98c0 sp 0x00512eff9908
02:36:33     INFO -  GECKO(5160) | WRITE of size 8 at 0x1180d8bcf248 thread T0
02:36:34     INFO -  GECKO(5160) |     #0 0x7ffca545511b in _cairo_gstate_fini z:\build\build\src\gfx\cairo\cairo\src\cairo-gstate.c:218
02:36:34     INFO -  GECKO(5160) |     #1 0x7ffca5455b31 in _cairo_gstate_restore z:\build\build\src\gfx\cairo\cairo\src\cairo-gstate.c:290
02:36:34     INFO -  GECKO(5160) |     #2 0x7ffca5506bce in _moz_cairo_destroy z:\build\build\src\gfx\cairo\cairo\src\cairo.c:457
02:36:34     INFO -  GECKO(5160) |     #3 0x7ffc9c684825 in mozilla::gfx::DrawTargetCairo::~DrawTargetCairo(void) z:\build\build\src\gfx\2d\DrawTargetCairo.cpp:615
02:36:34     INFO -  GECKO(5160) |     #4 0x7ffc9c72505f in mozilla::gfx::DrawTargetCairo::`scalar deleting destructor'(unsigned int) z:\build\build\src\gfx\2d\DrawTargetCairo.cpp:614
02:36:34     INFO -  GECKO(5160) |     #5 0x7ffca3124527 in mozilla::widget::WinCompositorWidget::ClearTransparentWindow(void) z:\build\build\src\widget\windows\WinCompositorWidget.cpp:303
02:36:34     INFO -  GECKO(5160) |     #6 0x7ffca327e31d in nsWindow::Show(bool) z:\build\build\src\widget\windows\nsWindow.cpp:1637
02:36:34     INFO -  GECKO(5160) |     #7 0x7ffca2f8be31 in nsView::DoResetWidgetBounds(bool,bool) z:\build\build\src\view\nsView.cpp:342
02:36:34     INFO -  GECKO(5160) |     #8 0x7ffca2f99837 in nsViewManager::ProcessPendingUpdatesForView(class nsView *,bool) z:\build\build\src\view\nsViewManager.cpp:399
02:36:34     INFO -  GECKO(5160) |     #9 0x7ffca2fa04ee in nsViewManager::ProcessPendingUpdates(void) z:\build\build\src\view\nsViewManager.cpp:1102
02:36:34     INFO -  GECKO(5160) |     #10 0x7ffca2f9328a in nsViewManager::WillPaintWindow(class nsIWidget *) z:\build\build\src\view\nsViewManager.cpp:707
02:36:34     INFO -  GECKO(5160) |     #11 0x7ffca2f93050 in nsView::WillPaintWindow(class nsIWidget *) z:\build\build\src\view\nsView.cpp:1061
02:36:34     INFO -  GECKO(5160) |     #12 0x7ffca32c1728 in nsWindow::OnPaint(struct HDC__ *,unsigned int) z:\build\build\src\widget\windows\nsWindowGfx.cpp:293
02:36:34     INFO -  GECKO(5160) |     #13 0x7ffca329ca0c in nsWindow::ProcessMessage(unsigned int,unsigned __int64 &,__int64 &,__int64 *) z:\build\build\src\widget\windows\nsWindow.cpp:5563
02:36:34     INFO -  GECKO(5160) |     #14 0x7ffca329842e in nsWindow::WindowProcInternal(struct HWND__ *,unsigned int,unsigned __int64,__int64) z:\build\build\src\widget\windows\nsWindow.cpp:5031
02:36:34     INFO -  GECKO(5160) |     #15 0x7ffc9a0436ae in CallWindowProcCrashProtected z:\build\build\src\xpcom\base\nsCrashOnException.cpp:32
02:36:34     INFO -  GECKO(5160) |     #16 0x7ffca327aa5c in nsWindow::WindowProc(struct HWND__ *,unsigned int,unsigned __int64,__int64) z:\build\build\src\widget\windows\nsWindow.cpp:4983
02:36:34     INFO -  GECKO(5160) |     #17 0x7ffccfeabc4f  (C:\Windows\System32\user32.dll+0x18000bc4f)
02:36:34     INFO -  GECKO(5160) |     #18 0x7ffccfeab94b  (C:\Windows\System32\user32.dll+0x18000b94b)
02:36:34     INFO -  GECKO(5160) |     #19 0x7ffccfec11f2  (C:\Windows\System32\user32.dll+0x1800211f2)
02:36:34     INFO -  GECKO(5160) |     #20 0x7ffcd0bb90b3  (C:\Windows\SYSTEM32\ntdll.dll+0x1800a90b3)
02:36:34     INFO -  GECKO(5160) |     #21 0x7ffcce051743  (C:\Windows\System32\win32u.dll+0x180001743)
02:36:34     INFO -  GECKO(5160) |     #22 0x7ffccfeab651  (C:\Windows\System32\user32.dll+0x18000b651)
02:36:34     INFO -  GECKO(5160) |     #23 0x7ffca320393b in nsAppShell::ProcessNextNativeEvent(bool) z:\build\build\src\widget\windows\nsAppShell.cpp:551
02:36:34     INFO -  GECKO(5160) |     #24 0x7ffca307c432 in nsBaseAppShell::OnProcessNextEvent(class nsIThreadInternal *,bool) z:\build\build\src\widget\nsBaseAppShell.cpp:272
02:36:34     INFO -  GECKO(5160) |     #25 0x7ffc9a23d299 in nsThread::ProcessNextEvent(bool,bool *) z:\build\build\src\xpcom\threads\nsThread.cpp:977
02:36:34     INFO -  GECKO(5160) |     #26 0x7ffc9a26114a in NS_ProcessNextEvent(class nsIThread *,bool) z:\build\build\src\xpcom\threads\nsThreadUtils.cpp:519
02:36:34     INFO -  GECKO(5160) |     #27 0x7ffc9b23bea9 in mozilla::ipc::MessagePump::Run(class base::MessagePump::Delegate *) z:\build\build\src\ipc\glue\MessagePump.cpp:97
02:36:34     INFO -  GECKO(5160) |     #28 0x7ffc9b19f65e in MessageLoop::RunHandler(void) z:\build\build\src\ipc\chromium\src\base\message_loop.cc:318
02:36:34     INFO -  GECKO(5160) |     #29 0x7ffc9b19f3e6 in MessageLoop::Run(void) z:\build\build\src\ipc\chromium\src\base\message_loop.cc:298
02:36:34     INFO -  GECKO(5160) |     #30 0x7ffca307bd7a in nsBaseAppShell::Run(void) z:\build\build\src\widget\nsBaseAppShell.cpp:157
02:36:34     INFO -  GECKO(5160) |     #31 0x7ffca3202807 in nsAppShell::Run(void) z:\build\build\src\widget\windows\nsAppShell.cpp:415
02:36:34     INFO -  GECKO(5160) |     #32 0x7ffca73f16ee in nsAppStartup::Run(void) z:\build\build\src\toolkit\components\startup\nsAppStartup.cpp:290
02:36:34     INFO -  GECKO(5160) |     #33 0x7ffca765d5d4 in XREMain::XRE_mainRun(void) z:\build\build\src\toolkit\xre\nsAppRunner.cpp:4741
02:36:34     INFO -  GECKO(5160) |     #34 0x7ffca7662ce4 in XREMain::XRE_main(int,char * * const,struct mozilla::BootstrapConfig const &) z:\build\build\src\toolkit\xre\nsAppRunner.cpp:4886
02:36:34     INFO -  GECKO(5160) |     #35 0x7ffca76651f0 in XRE_main(int,char * * const,struct mozilla::BootstrapConfig const &) z:\build\build\src\toolkit\xre\nsAppRunner.cpp:4978
02:36:34     INFO -  GECKO(5160) |     #36 0x7ff61b387869  (Z:\task_1528337533\build\application\firefox\firefox.exe+0x140007869)
02:36:34     INFO -  GECKO(5160) |     #37 0x7ff61b386f59  (Z:\task_1528337533\build\application\firefox\firefox.exe+0x140006f59)
02:36:34     INFO -  GECKO(5160) |     #38 0x7ff61b452367  (Z:\task_1528337533\build\application\firefox\firefox.exe+0x1400d2367)
02:36:34     INFO -  GECKO(5160) |     #39 0x7ffcd0542773  (C:\Windows\System32\KERNEL32.DLL+0x180012773)
02:36:34     INFO -  GECKO(5160) |     #40 0x7ffcd0b80d60  (C:\Windows\SYSTEM32\ntdll.dll+0x180070d60)
02:36:34     INFO -  GECKO(5160) | 0x1180d8bcf248 is located 200 bytes inside of 616-byte region [0x1180d8bcf180,0x1180d8bcf3e8)
02:36:34     INFO -  GECKO(5160) | freed by thread T40 here:
02:36:34     INFO -  GECKO(5160) |     #0 0x7ffc99642ce0  (Z:\task_1528337533\build\application\firefox\clang_rt.asan_dynamic-x86_64.dll+0x180032ce0)
02:36:34     INFO -  GECKO(5160) |     #1 0x7ffc9d0ba8fc in gfxASurface::Release(void) z:\build\build\src\gfx\thebes\gfxASurface.cpp:100
02:36:34     INFO -  GECKO(5160) |     #2 0x7ffca3123cd2 in mozilla::widget::WinCompositorWidget::CreateTransparentSurface(struct mozilla::gfx::IntSizeTyped<struct mozilla::gfx::UnknownUnits> const &) z:\build\build\src\widget\windows\WinCompositorWidget.cpp:265
02:36:34     INFO -  GECKO(5160) |     #3 0x7ffca31226e8 in mozilla::widget::WinCompositorWidget::EnsureTransparentSurface(void) z:\build\build\src\widget\windows\WinCompositorWidget.cpp:253
02:36:34     INFO -  GECKO(5160) |     #4 0x7ffca3121ebd in mozilla::widget::WinCompositorWidget::StartRemoteDrawing(void) z:\build\build\src\widget\windows\WinCompositorWidget.cpp:91
02:36:34     INFO -  GECKO(5160) |     #5 0x7ffca3072dd5 in mozilla::widget::CompositorWidget::StartRemoteDrawingInRegion(class mozilla::gfx::IntRegionTyped<struct mozilla::LayoutDevicePixel> &,enum mozilla::layers::BufferMode *) z:\build\build\src\widget\CompositorWidget.h:159
02:36:34     INFO -  GECKO(5160) |     #6 0x7ffc9ce05545 in mozilla::layers::BasicCompositor::BeginFrame(class mozilla::gfx::IntRegionTyped<struct mozilla::gfx::UnknownUnits> const &,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> const *,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> const &,class mozilla::gfx::IntRegionTyped<struct mozilla::gfx::UnknownUnits> const &,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> *,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> *) z:\build\build\src\gfx\layers\basic\BasicCompositor.cpp:928
02:36:34     INFO -  GECKO(5160) |     #7 0x7ffc9cf58381 in mozilla::layers::LayerManagerComposite::Render(class mozilla::gfx::IntRegionTyped<struct mozilla::gfx::UnknownUnits> const &,class mozilla::gfx::IntRegionTyped<struct mozilla::gfx::UnknownUnits> const &) z:\build\build\src\gfx\layers\composite\LayerManagerComposite.cpp:918
02:36:34     INFO -  GECKO(5160) |     #8 0x7ffc9cf55e71 in mozilla::layers::LayerManagerComposite::UpdateAndRender(void) z:\build\build\src\gfx\layers\composite\LayerManagerComposite.cpp:534
02:36:34     INFO -  GECKO(5160) |     #9 0x7ffc9cf545ac in mozilla::layers::LayerManagerComposite::EndTransaction(class mozilla::TimeStamp const &,enum mozilla::layers::LayerManager::EndTransactionFlags) z:\build\build\src\gfx\layers\composite\LayerManagerComposite.cpp:464
02:36:34     INFO -  GECKO(5160) |     #10 0x7ffc9d0046cf in mozilla::layers::CompositorBridgeParent::CompositeToTarget(class mozilla::gfx::DrawTarget *,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> const *) z:\build\build\src\gfx\layers\ipc\CompositorBridgeParent.cpp:1068
02:36:34     INFO -  GECKO(5160) |     #11 0x7ffc9d0203f9 in mozilla::layers::CompositorVsyncScheduler::Composite(class mozilla::TimeStamp) z:\build\build\src\gfx\layers\ipc\CompositorVsyncScheduler.cpp:243
02:36:34     INFO -  GECKO(5160) |     #12 0x7ffc9d04d501 in mozilla::detail::RunnableMethodImpl<class mozilla::layers::CompositorVsyncScheduler *,void ( mozilla::layers::CompositorVsyncScheduler::*)(class mozilla::TimeStamp),1,1,class mozilla::TimeStamp>::Run(void) z:\build\build\src\obj-firefox\dist\include\nsThreadUtils.h:1216
02:36:34     INFO -  GECKO(5160) |     #13 0x7ffc9b1a08b3 in ?DeferOrRunPendingTask@MessageLoop@@IEAA_N$$QEAUPendingTask@1@@Z z:\build\build\src\ipc\chromium\src\base\message_loop.cc:459
02:36:34     INFO -  GECKO(5160) |     #14 0x7ffc9b1a209e in MessageLoop::DoWork(void) z:\build\build\src\ipc\chromium\src\base\message_loop.cc:534
02:36:34     INFO -  GECKO(5160) |     #15 0x7ffc9b1725f2 in base::MessagePumpForUI::DoRunLoop(void) z:\build\build\src\ipc\chromium\src\base\message_pump_win.cc:210
02:36:34     INFO -  GECKO(5160) |     #16 0x7ffc9b174a49 in base::MessagePumpWin::Run(class base::MessagePump::Delegate *) z:\build\build\src\ipc\chromium\src\base\message_pump_win.h:80
02:36:34     INFO -  GECKO(5160) |     #17 0x7ffc9b19f65e in MessageLoop::RunHandler(void) z:\build\build\src\ipc\chromium\src\base\message_loop.cc:318
02:36:34     INFO -  GECKO(5160) |     #18 0x7ffc9b1afe55 in base::Thread::ThreadMain(void) z:\build\build\src\ipc\chromium\src\base\thread.cc:181
02:36:34     INFO -  GECKO(5160) |     #19 0x7ffc9b17645f in `anonymous namespace'::ThreadFunc z:\build\build\src\ipc\chromium\src\base\platform_thread_win.cc:28
02:36:34     INFO -  GECKO(5160) |     #20 0x7ffc9964d0b8  (Z:\task_1528337533\build\application\firefox\clang_rt.asan_dynamic-x86_64.dll+0x18003d0b8)
02:36:34     INFO -  GECKO(5160) |     #21 0x7ffcd0542773  (C:\Windows\System32\KERNEL32.DLL+0x180012773)
02:36:34     INFO -  GECKO(5160) |     #22 0x7ffcbda55351 in patched_BaseThreadInitThunk z:\build\build\src\mozglue\build\WindowsDllBlocklist.cpp:857
02:36:34     INFO -  GECKO(5160) |     #23 0x7ffcd0b80d60  (C:\Windows\SYSTEM32\ntdll.dll+0x180070d60)
02:36:34     INFO -  GECKO(5160) | previously allocated by thread T0 here:
02:36:34     INFO -  GECKO(5160) |     #0 0x7ffc99642dd0  (Z:\task_1528337533\build\application\firefox\clang_rt.asan_dynamic-x86_64.dll+0x180032dd0)
02:36:34     INFO -  GECKO(5160) |     #1 0x7ffca542f733 in _cairo_win32_surface_create_for_dc z:\build\build\src\gfx\cairo\cairo\src\cairo-win32-surface.c:374
02:36:34     INFO -  GECKO(5160) |     #2 0x7ffc9d1e3bfd in gfxWindowsSurface::gfxWindowsSurface(struct mozilla::gfx::IntSizeTyped<struct mozilla::gfx::UnknownUnits> const &,enum mozilla::gfx::SurfaceFormat) z:\build\build\src\gfx\thebes\gfxWindowsSurface.cpp:46
02:36:34     INFO -  GECKO(5160) |     #3 0x7ffca3123c91 in mozilla::widget::WinCompositorWidget::CreateTransparentSurface(struct mozilla::gfx::IntSizeTyped<struct mozilla::gfx::UnknownUnits> const &) z:\build\build\src\widget\windows\WinCompositorWidget.cpp:264
02:36:34     INFO -  GECKO(5160) |     #4 0x7ffca31226e8 in mozilla::widget::WinCompositorWidget::EnsureTransparentSurface(void) z:\build\build\src\widget\windows\WinCompositorWidget.cpp:253
02:36:34     INFO -  GECKO(5160) |     #5 0x7ffca31240ec in mozilla::widget::WinCompositorWidget::ClearTransparentWindow(void) z:\build\build\src\widget\windows\WinCompositorWidget.cpp:292
02:36:34     INFO -  GECKO(5160) |     #6 0x7ffca327e31d in nsWindow::Show(bool) z:\build\build\src\widget\windows\nsWindow.cpp:1637
02:36:34     INFO -  GECKO(5160) |     #7 0x7ffca2f8be31 in nsView::DoResetWidgetBounds(bool,bool) z:\build\build\src\view\nsView.cpp:342
02:36:34     INFO -  GECKO(5160) |     #8 0x7ffca2f99837 in nsViewManager::ProcessPendingUpdatesForView(class nsView *,bool) z:\build\build\src\view\nsViewManager.cpp:399
02:36:34     INFO -  GECKO(5160) |     #9 0x7ffca2fa04ee in nsViewManager::ProcessPendingUpdates(void) z:\build\build\src\view\nsViewManager.cpp:1102
02:36:34     INFO -  GECKO(5160) |     #10 0x7ffca2f9328a in nsViewManager::WillPaintWindow(class nsIWidget *) z:\build\build\src\view\nsViewManager.cpp:707
02:36:34     INFO -  GECKO(5160) |     #11 0x7ffca2f93050 in nsView::WillPaintWindow(class nsIWidget *) z:\build\build\src\view\nsView.cpp:1061
02:36:34     INFO -  GECKO(5160) |     #12 0x7ffca32c1728 in nsWindow::OnPaint(struct HDC__ *,unsigned int) z:\build\build\src\widget\windows\nsWindowGfx.cpp:293
02:36:34     INFO -  GECKO(5160) |     #13 0x7ffca329ca0c in nsWindow::ProcessMessage(unsigned int,unsigned __int64 &,__int64 &,__int64 *) z:\build\build\src\widget\windows\nsWindow.cpp:5563
02:36:34     INFO -  GECKO(5160) |     #14 0x7ffca329842e in nsWindow::WindowProcInternal(struct HWND__ *,unsigned int,unsigned __int64,__int64) z:\build\build\src\widget\windows\nsWindow.cpp:5031
02:36:34     INFO -  GECKO(5160) |     #15 0x7ffc9a0436ae in CallWindowProcCrashProtected z:\build\build\src\xpcom\base\nsCrashOnException.cpp:32
02:36:34     INFO -  GECKO(5160) |     #16 0x7ffca327aa5c in nsWindow::WindowProc(struct HWND__ *,unsigned int,unsigned __int64,__int64) z:\build\build\src\widget\windows\nsWindow.cpp:4983
02:36:34     INFO -  GECKO(5160) |     #17 0x7ffccfeabc4f  (C:\Windows\System32\user32.dll+0x18000bc4f)
02:36:34     INFO -  GECKO(5160) |     #18 0x7ffccfeab94b  (C:\Windows\System32\user32.dll+0x18000b94b)
02:36:34     INFO -  GECKO(5160) |     #19 0x7ffccfec11f2  (C:\Windows\System32\user32.dll+0x1800211f2)
02:36:34     INFO -  GECKO(5160) |     #20 0x7ffcd0bb90b3  (C:\Windows\SYSTEM32\ntdll.dll+0x1800a90b3)
02:36:34     INFO -  GECKO(5160) |     #21 0x7ffcce051743  (C:\Windows\System32\win32u.dll+0x180001743)
02:36:34     INFO -  GECKO(5160) |     #22 0x7ffccfeab651  (C:\Windows\System32\user32.dll+0x18000b651)
02:36:34     INFO -  GECKO(5160) |     #23 0x7ffca320393b in nsAppShell::ProcessNextNativeEvent(bool) z:\build\build\src\widget\windows\nsAppShell.cpp:551
02:36:34     INFO -  GECKO(5160) |     #24 0x7ffca307c432 in nsBaseAppShell::OnProcessNextEvent(class nsIThreadInternal *,bool) z:\build\build\src\widget\nsBaseAppShell.cpp:272
02:36:34     INFO -  GECKO(5160) |     #25 0x7ffc9a23d299 in nsThread::ProcessNextEvent(bool,bool *) z:\build\build\src\xpcom\threads\nsThread.cpp:977
02:36:34     INFO -  GECKO(5160) |     #26 0x7ffc9a26114a in NS_ProcessNextEvent(class nsIThread *,bool) z:\build\build\src\xpcom\threads\nsThreadUtils.cpp:519
02:36:34     INFO -  GECKO(5160) |     #27 0x7ffc9b23bea9 in mozilla::ipc::MessagePump::Run(class base::MessagePump::Delegate *) z:\build\build\src\ipc\glue\MessagePump.cpp:97
02:36:34     INFO -  GECKO(5160) |     #28 0x7ffc9b19f65e in MessageLoop::RunHandler(void) z:\build\build\src\ipc\chromium\src\base\message_loop.cc:318
02:36:34     INFO -  GECKO(5160) |     #29 0x7ffc9b19f3e6 in MessageLoop::Run(void) z:\build\build\src\ipc\chromium\src\base\message_loop.cc:298
02:36:34     INFO -  GECKO(5160) | Thread T40 created by T0 here:
02:36:34     INFO -  GECKO(5160) |     #0 0x7ffc9964e200  (Z:\task_1528337533\build\application\firefox\clang_rt.asan_dynamic-x86_64.dll+0x18003e200)
02:36:34     INFO -  GECKO(5160) |     #1 0x7ffc9b1763ff in PlatformThread::Create(unsigned __int64,class PlatformThread::Delegate *,void * *) z:\build\build\src\ipc\chromium\src\base\platform_thread_win.cc:86
02:36:34     INFO -  GECKO(5160) |     #2 0x7ffc9b1af70c in base::Thread::StartWithOptions(struct base::Thread::Options const &) z:\build\build\src\ipc\chromium\src\base\thread.cc:99
02:36:34     INFO -  GECKO(5160) |     #3 0x7ffc9d01ec1c in mozilla::layers::CompositorThreadHolder::CompositorThreadHolder(void) z:\build\build\src\gfx\layers\ipc\CompositorThread.cpp:53
02:36:34     INFO -  GECKO(5160) |     #4 0x7ffc9d01ef50 in mozilla::layers::CompositorThreadHolder::Start(void) z:\build\build\src\gfx\layers\ipc\CompositorThread.cpp:124
02:36:34     INFO -  GECKO(5160) |     #5 0x7ffc9d0ff4fb in gfxPlatform::Init(void) z:\build\build\src\gfx\thebes\gfxPlatform.cpp:774
02:36:34     INFO -  GECKO(5160) |     #6 0x7ffc9d0fc4a3 in gfxPlatform::GetPlatform(void) z:\build\build\src\gfx\thebes\gfxPlatform.cpp:534
02:36:34     INFO -  GECKO(5160) |     #7 0x7ffca37d556f in nsRefreshDriver::ChooseTimer(void)const  z:\build\build\src\layout\base\nsRefreshDriver.cpp:1110
02:36:34     INFO -  GECKO(5160) |     #8 0x7ffca37d902b in nsRefreshDriver::EnsureTimerStarted(enum nsRefreshDriver::EnsureTimerStartedFlags) z:\build\build\src\layout\base\nsRefreshDriver.cpp:1360
02:36:34     INFO -  GECKO(5160) |     #9 0x7ffca38428c6 in nsRefreshDriver::AddStyleFlushObserver(class nsIPresShell *) z:\build\build\src\layout\base\nsRefreshDriver.h:188
02:36:34     INFO -  GECKO(5160) |     #10 0x7ffca3a192f4 in nsPresContext::CompatibilityModeChanged(void) z:\build\build\src\layout\base\nsPresContext.cpp:1182
02:36:34     INFO -  GECKO(5160) |     #11 0x7ffca383c5cd in mozilla::PresShell::Init(class nsIDocument *,class nsPresContext *,class nsViewManager *,class mozilla::UniquePtr<class mozilla::ServoStyleSet,class mozilla::DefaultDelete<class mozilla::ServoStyleSet> >) z:\build\build\src\layout\base\PresShell.cpp:951
02:36:34     INFO -  GECKO(5160) |     #12 0x7ffc9db1ae71 in nsIDocument::CreateShell(class nsPresContext *,class nsViewManager *,class mozilla::UniquePtr<class mozilla::ServoStyleSet,class mozilla::DefaultDelete<class mozilla::ServoStyleSet> >) z:\build\build\src\dom\base\nsDocument.cpp:3843
02:36:34     INFO -  GECKO(5160) |     #13 0x7ffca395f27f in nsDocumentViewer::InitPresentationStuff(bool) z:\build\build\src\layout\base\nsDocumentViewer.cpp:794
02:36:34     INFO -  GECKO(5160) |     #14 0x7ffca395e5ab in nsDocumentViewer::InitInternal(class nsIWidget *,class nsISupports *,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> const &,bool,bool,bool) z:\build\build\src\layout\base\nsDocumentViewer.cpp:1044
02:36:34     INFO -  GECKO(5160) |     #15 0x7ffca395d730 in nsDocumentViewer::Init(class nsIWidget *,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> const &) z:\build\build\src\layout\base\nsDocumentViewer.cpp:769
02:36:34     INFO -  GECKO(5160) |     #16 0x7ffca6a7a867 in nsDocShell::SetupNewViewer(class nsIContentViewer *) z:\build\build\src\docshell\base\nsDocShell.cpp:8969
02:36:34     INFO -  GECKO(5160) |     #17 0x7ffca6a79262 in nsDocShell::Embed(class nsIContentViewer *,char const *,class nsISupports *) z:\build\build\src\docshell\base\nsDocShell.cpp:6779
02:36:34     INFO -  GECKO(5160) |     #18 0x7ffca6a8a5aa in nsDocShell::CreateAboutBlankContentViewer(class nsIPrincipal *,class nsIURI *,bool,bool) z:\build\build\src\docshell\base\nsDocShell.cpp:7658
02:36:34     INFO -  GECKO(5160) |     #19 0x7ffca6a8bc7a in nsDocShell::CreateAboutBlankContentViewer(class nsIPrincipal *) z:\build\build\src\docshell\base\nsDocShell.cpp:7683
02:36:34     INFO -  GECKO(5160) |     #20 0x7ffca6b1a680 in nsWebShellWindow::Initialize(class nsIXULWindow *,class nsIXULWindow *,class nsIURI *,int,int,bool,class nsITabParent *,class mozIDOMWindowProxy *,struct nsWidgetInitData &) z:\build\build\src\xpfe\appshell\nsWebShellWindow.cpp:233
02:36:34     INFO -  GECKO(5160) |     #21 0x7ffca6b14568 in nsAppShellService::JustCreateTopWindow(class nsIXULWindow *,class nsIURI *,unsigned int,int,int,bool,class nsITabParent *,class mozIDOMWindowProxy *,class nsWebShellWindow * *) z:\build\build\src\xpfe\appshell\nsAppShellService.cpp:736
02:36:34     INFO -  GECKO(5160) |     #22 0x7ffca6b166fc in nsAppShellService::CreateTopLevelWindow(class nsIXULWindow *,class nsIURI *,unsigned int,int,int,class nsITabParent *,class mozIDOMWindowProxy *,class nsIXULWindow * *) z:\build\build\src\xpfe\appshell\nsAppShellService.cpp:200
02:36:34     INFO -  GECKO(5160) |     #23 0x7ffca73f3fef in nsAppStartup::CreateChromeWindow2(class nsIWebBrowserChrome *,unsigned int,class nsITabParent *,class mozIDOMWindowProxy *,unsigned __int64,bool *,class nsIWebBrowserChrome * *) z:\build\build\src\toolkit\components\startup\nsAppStartup.cpp:680
02:36:34     INFO -  GECKO(5160) |     #24 0x7ffca75b8a94 in nsWindowWatcher::CreateChromeWindow(class nsTSubstring<char> const &,class nsIWebBrowserChrome *,unsigned int,class nsITabParent *,class mozIDOMWindowProxy *,unsigned __int64,class nsIWebBrowserChrome * *) z:\build\build\src\toolkit\components\windowwatcher\nsWindowWatcher.cpp:467
02:36:34     INFO -  GECKO(5160) |     #25 0x7ffca75b3828 in nsWindowWatcher::OpenWindowInternal(class mozIDOMWindowProxy *,char const *,char const *,char const *,bool,bool,bool,class nsIArray *,bool,bool,class nsIDocShellLoadInfo *,class mozIDOMWindowProxy * *) z:\build\build\src\toolkit\components\windowwatcher\nsWindowWatcher.cpp:938
02:36:34     INFO -  GECKO(5160) |     #26 0x7ffca75aef44 in nsWindowWatcher::OpenWindow(class mozIDOMWindowProxy *,char const *,char const *,char const *,class nsISupports *,class mozIDOMWindowProxy * *) z:\build\build\src\toolkit\components\windowwatcher\nsWindowWatcher.cpp:327
02:36:34     INFO -  GECKO(5160) |     #27 0x7ffca9ddac71 in XPTC__InvokebyIndex (Z:\task_1528337533\build\application\firefox\xul.dll+0x18fe3ac71)
02:36:34     INFO -  GECKO(5160) |     #28 0x7ffc9bdcd2d2 in XPCWrappedNative::CallMethod(class XPCCallContext &,enum XPCWrappedNative::CallMode) z:\build\build\src\js\xpconnect\src\XPCWrappedNative.cpp:1190
02:36:34     INFO -  GECKO(5160) |     #29 0x7ffc9bdd45a9 in XPC_WN_CallMethod(struct JSContext *,unsigned int,union JS::Value *) z:\build\build\src\js\xpconnect\src\XPCWrappedNativeJSOps.cpp:899
02:36:34     INFO -  GECKO(5160) |     #30 0x7ffca9184c77 in js::InternalCallOrConstruct(struct JSContext *,class JS::CallArgs const &,enum js::MaybeConstruct) z:\build\build\src\js\src\vm\Interpreter.cpp:471
02:36:34     INFO -  GECKO(5160) |     #31 0x7ffca91863d5 in InternalCall z:\build\build\src\js\src\vm\Interpreter.cpp:520
02:36:34     INFO -  GECKO(5160) |     #32 0x7ffca9169897 in Interpret z:\build\build\src\js\src\vm\Interpreter.cpp:3122
02:36:34     INFO -  GECKO(5160) |     #33 0x7ffca914da00 in js::RunScript(struct JSContext *,class js::RunState &) z:\build\build\src\js\src\vm\Interpreter.cpp:421
02:36:34     INFO -  GECKO(5160) |     #34 0x7ffca9185250 in js::InternalCallOrConstruct(struct JSContext *,class JS::CallArgs const &,enum js::MaybeConstruct) z:\build\build\src\js\src\vm\Interpreter.cpp:493
02:36:34     INFO -  GECKO(5160) |     #35 0x7ffca91863d5 in InternalCall z:\build\build\src\js\src\vm\Interpreter.cpp:520
02:36:34     INFO -  GECKO(5160) |     #36 0x7ffca9186606 in js::Call(struct JSContext *,class JS::Handle<union JS::Value>,class JS::Handle<union JS::Value>,class js::AnyInvokeArgs const &,class JS::MutableHandle<union JS::Value>) z:\build\build\src\js\src\vm\Interpreter.cpp:539
02:36:34     INFO -  GECKO(5160) |     #37 0x7ffca78773eb in JS_CallFunctionValue(struct JSContext *,class JS::Handle<class JSObject *>,class JS::Handle<union JS::Value>,class JS::HandleValueArray const &,class JS::MutableHandle<union JS::Value>) z:\build\build\src\js\src\jsapi.cpp:2897
02:36:34     INFO -  GECKO(5160) |     #38 0x7ffc9bdb26cf in nsXPCWrappedJSClass::CallMethod(class nsXPCWrappedJS *,unsigned short,struct nsXPTMethodInfo const *,struct nsXPTCMiniVariant *) z:\build\build\src\js\xpconnect\src\XPCWrappedJSClass.cpp:1123
02:36:34     INFO -  GECKO(5160) |     #39 0x7ffc9bdb0363 in nsXPCWrappedJS::CallMethod(unsigned short,struct nsXPTMethodInfo const *,struct nsXPTCMiniVariant *) z:\build\build\src\js\xpconnect\src\XPCWrappedJS.cpp:611
02:36:34     INFO -  GECKO(5160) |     #40 0x7ffc9a276bd2 in PrepareAndDispatch z:\build\build\src\xpcom\reflect\xptcall\md\win32\xptcstubs_x86_64.cpp:173
02:36:34     INFO -  GECKO(5160) |     #41 0x7ffca9ddacc8 in SharedStub (Z:\task_1528337533\build\application\firefox\xul.dll+0x18fe3acc8)
02:36:34     INFO -  GECKO(5160) |     #42 0x7ffc9a1da1b7 in NS_CreateServicesFromCategory(char const *,class nsISupports *,char const *,UNKNOWN const *) z:\build\build\src\xpcom\components\nsCategoryManager.cpp:810
02:36:34     INFO -  GECKO(5160) |     #43 0x7ffca7693e79 in nsXREDirProvider::DoStartup(void) z:\build\build\src\toolkit\xre\nsXREDirProvider.cpp:999
02:36:34     INFO -  GECKO(5160) |     #44 0x7ffca765cae9 in XREMain::XRE_mainRun(void) z:\build\build\src\toolkit\xre\nsAppRunner.cpp:4573
02:36:34     INFO -  GECKO(5160) |     #45 0x7ffca7662ce4 in XREMain::XRE_main(int,char * * const,struct mozilla::BootstrapConfig const &) z:\build\build\src\toolkit\xre\nsAppRunner.cpp:4886
02:36:34     INFO -  GECKO(5160) |     #46 0x7ffca76651f0 in XRE_main(int,char * * const,struct mozilla::BootstrapConfig const &) z:\build\build\src\toolkit\xre\nsAppRunner.cpp:4978
02:36:34     INFO -  GECKO(5160) |     #47 0x7ff61b387869  (Z:\task_1528337533\build\application\firefox\firefox.exe+0x140007869)
02:36:34     INFO -  GECKO(5160) |     #48 0x7ff61b386f59  (Z:\task_1528337533\build\application\firefox\firefox.exe+0x140006f59)
02:36:34     INFO -  GECKO(5160) |     #49 0x7ff61b452367  (Z:\task_1528337533\build\application\firefox\firefox.exe+0x1400d2367)
02:36:34     INFO -  GECKO(5160) |     #50 0x7ffcd0542773  (C:\Windows\System32\KERNEL32.DLL+0x180012773)
02:36:34     INFO -  GECKO(5160) |     #51 0x7ffcd0b80d60  (C:\Windows\SYSTEM32\ntdll.dll+0x180070d60)
02:36:34     INFO -  GECKO(5160) | SUMMARY: AddressSanitizer: heap-use-after-free z:\build\build\src\gfx\cairo\cairo\src\cairo-gstate.c:218 in _cairo_gstate_fini
02:36:34     INFO -  GECKO(5160) | Shadow bytes around the buggy address:
02:36:34     INFO -  GECKO(5160) |   0x0384f38f9df0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
02:36:34     INFO -  GECKO(5160) |   0x0384f38f9e00: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
02:36:34     INFO -  GECKO(5160) |   0x0384f38f9e10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
02:36:34     INFO -  GECKO(5160) |   0x0384f38f9e20: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
02:36:34     INFO -  GECKO(5160) |   0x0384f38f9e30: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
02:36:34     INFO -  GECKO(5160) | =>0x0384f38f9e40: fd fd fd fd fd fd fd fd fd[fd]fd fd fd fd fd fd
02:36:34     INFO -  GECKO(5160) |   0x0384f38f9e50: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
02:36:34     INFO -  GECKO(5160) |   0x0384f38f9e60: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
02:36:34     INFO -  GECKO(5160) |   0x0384f38f9e70: fd fd fd fd fd fd fd fd fd fd fd fd fd fa fa fa
02:36:34     INFO -  GECKO(5160) |   0x0384f38f9e80: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
02:36:34     INFO -  GECKO(5160) |   0x0384f38f9e90: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
02:36:34     INFO -  GECKO(5160) | Shadow byte legend (one shadow byte represents 8 application bytes):
02:36:34     INFO -  GECKO(5160) |   Addressable:           00
02:36:34     INFO -  GECKO(5160) |   Partially addressable: 01 02 03 04 05 06 07
02:36:34     INFO -  GECKO(5160) |   Heap left redzone:       fa
02:36:34     INFO -  GECKO(5160) |   Freed heap region:       fd
02:36:34     INFO -  GECKO(5160) |   Stack left redzone:      f1
02:36:34     INFO -  GECKO(5160) |   Stack mid redzone:       f2
02:36:34     INFO -  GECKO(5160) |   Stack right redzone:     f3
02:36:34     INFO -  GECKO(5160) |   Stack after return:      f5
02:36:34     INFO -  GECKO(5160) |   Stack use after scope:   f8
02:36:34     INFO -  GECKO(5160) |   Global redzone:          f9
02:36:34     INFO -  GECKO(5160) |   Global init order:       f6
02:36:34     INFO -  GECKO(5160) |   Poisoned by user:        f7
02:36:34     INFO -  GECKO(5160) |   Container overflow:      fc
02:36:34     INFO -  GECKO(5160) |   Array cookie:            ac
02:36:34     INFO -  GECKO(5160) |   Intra object redzone:    bb
02:36:34     INFO -  GECKO(5160) |   ASan internal:           fe
02:36:34     INFO -  GECKO(5160) |   Left alloca redzone:     ca
02:36:34     INFO -  GECKO(5160) |   Right alloca redzone:    cb
02:36:34     INFO -  GECKO(5160) |   Shadow gap:              cc
02:36:34     INFO -  GECKO(5160) | ==5160==ABORTING
02:36:35     INFO -  TEST-INFO | Main app process: exit 1
02:36:35     INFO -  Buffered messages logged at 02:36:29
02:36:35     INFO -  780 INFO Entering test bound setup
02:36:35     INFO -  Buffered messages logged at 02:36:30
02:36:35     INFO -  781 INFO Console message: [JavaScript Error: "NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIDocShell.tabChild]" {file: "resource:///modules/PageStyleHandler.jsm" line: 55}]
02:36:35     INFO -  782 INFO Leaving test bound setup
02:36:35     INFO -  783 INFO Entering test bound test_remember_last_folder
02:36:35     INFO -  784 INFO TEST-PASS | browser/components/places/tests/browser/browser_bookmarkProperties_remember_folders.js | Should have no recent folders to start with. - [] deepEqual [] -
02:36:35     INFO -  Buffered messages logged at 02:36:31
02:36:35     INFO -  785 INFO TEST-PASS | browser/components/places/tests/browser/browser_bookmarkProperties_remember_folders.js | Should have one folder in the list. - ["ltwAFRF0PXZT"] deepEqual ["ltwAFRF0PXZT"] -
02:36:35     INFO -  786 INFO Leaving test bound test_remember_last_folder
02:36:35     INFO -  787 INFO Entering test bound test_forget_oldest_folder
02:36:35     INFO -  788 INFO TEST-PASS | browser/components/places/tests/browser/browser_bookmarkProperties_remember_folders.js | Should have only the expected folders in the list - ["ltwAFRF0PXZT"] deepEqual ["ltwAFRF0PXZT"] -
02:36:35     INFO -  Buffered messages logged at 02:36:32
02:36:35     INFO -  789 INFO TEST-PASS | browser/components/places/tests/browser/browser_bookmarkProperties_remember_folders.js | Should have only the expected folders in the list - ["ZpH7IYTjx93X","ltwAFRF0PXZT"] deepEqual ["ZpH7IYTjx93X","ltwAFRF0PXZT"] -
02:36:35     INFO -  Buffered messages logged at 02:36:33
02:36:35     INFO -  790 INFO TEST-PASS | browser/components/places/tests/browser/browser_bookmarkProperties_remember_folders.js | Should have only the expected folders in the list - ["UYcEGkj8ACrh","ZpH7IYTjx93X","ltwAFRF0PXZT"] deepEqual ["UYcEGkj8ACrh","ZpH7IYTjx93X","ltwAFRF0PXZT"] -
02:36:35     INFO -  Buffered messages finished
02:36:35    ERROR -  791 ERROR TEST-UNEXPECTED-FAIL | browser/components/places/tests/browser/browser_bookmarkProperties_remember_folders.js | application terminated with exit code 1
02:36:35     INFO -  runtests.py | Application ran for: 0:00:32.011000
02:36:35     INFO -  zombiecheck | Reading PID log: c:\users\task_1528337533\appdata\local\temp\tmpnzs3_mpidlog
02:36:35     INFO -  ==> process 5160 launched child process 4320 ("Z:\task_1528337533\build\application\firefox\firefox.exe" -contentproc --channel="5160.0.458937527\120229968" -childID 1 -isForBrowser -prefsHandle 2184 -prefsLen 16326 -schedulerPrefs 0001,2 -parentBuildID 20180607010830 -greomni "Z:\task_1528337533\build\application\firefox\omni.ja" -appomni "Z:\task_1528337533\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1528337533\build\application\firefox\browser" - 5160  tab)
02:36:35     INFO -  ==> process 5160 launched child process 100 ("Z:\task_1528337533\build\application\firefox\firefox.exe" -contentproc --channel="5160.6.1466609498\1586054621" -childID 2 -isForBrowser -prefsHandle 2520 -prefsLen 16326 -schedulerPrefs 0001,2 -parentBuildID 20180607010830 -greomni "Z:\task_1528337533\build\application\firefox\omni.ja" -appomni "Z:\task_1528337533\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1528337533\build\application\firefox\browser" - 5160  tab)
02:36:35     INFO -  ==> process 5160 launched child process 1164 ("Z:\task_1528337533\build\application\firefox\firefox.exe" -contentproc --channel="5160.12.838004520\806544847" -childID 3 -isForBrowser -prefsHandle 2536 -prefsLen 17636 -schedulerPrefs 0001,2 -parentBuildID 20180607010830 -greomni "Z:\task_1528337533\build\application\firefox\omni.ja" -appomni "Z:\task_1528337533\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1528337533\build\application\firefox\browser" - 5160  tab)
02:36:35     INFO -  ==> process 5160 launched child process 2844 ("Z:\task_1528337533\build\application\firefox\firefox.exe" -contentproc --channel="5160.18.1149397750\3520699" -childID 4 -isForBrowser -prefsHandle 3560 -prefsLen 22357 -schedulerPrefs 0001,2 -parentBuildID 20180607010830 -greomni "Z:\task_1528337533\build\application\firefox\omni.ja" -appomni "Z:\task_1528337533\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1528337533\build\application\firefox\browser" - 5160  tab)
02:36:35     INFO -  ==> process 5160 launched child process 3320 ("Z:\task_1528337533\build\application\firefox\firefox.exe" -contentproc --channel="5160.24.1794216497\1135567594" -childID 5 -isForBrowser -prefsHandle 3856 -prefsLen 22357 -schedulerPrefs 0001,2 -parentBuildID 20180607010830 -greomni "Z:\task_1528337533\build\application\firefox\omni.ja" -appomni "Z:\task_1528337533\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1528337533\build\application\firefox\browser" - 5160  tab)
02:36:35     INFO -  zombiecheck | Checking for orphan process with PID: 4320
02:36:35     INFO -  zombiecheck | Checking for orphan process with PID: 1164
02:36:35     INFO -  zombiecheck | Checking for orphan process with PID: 100
02:36:35     INFO -  zombiecheck | Checking for orphan process with PID: 3320
02:36:35     INFO -  zombiecheck | Checking for orphan process with PID: 2844
02:36:35     INFO -  Stopping web server
02:36:35     INFO -  Stopping web socket server
02:36:35     INFO -  Stopping ssltunnel
02:36:35     INFO -  leakcheck | refcount logging is off, so leaks can't be detected!
02:36:35     INFO -  runtests.py | Running tests: end.
Group: firefox-core-security
The test here is rapidly showing & hiding the Star UI. Looks like this may have triggered something in cairo.
Group: firefox-core-security → core-security
Component: Bookmarks & History → Graphics
Priority: P5 → --
Product: Firefox → Core
Although a UAF, calling it sec-moderate for now because we don't think web content could directly manipulate widgets like this. If that's incorrect then this should be sec-high.
Group: core-security → gfx-core-security
Bug 1467671 could also be related - also in mozilla::widget::WinCompositorWidget (though CreateTransparentSurface rather than ClearTransparentWindow).
See Also: → 1469486
Note that this is happening on Windows ASAN, which is relatively new to CI and was recently promoted to Tier 1. It would be nice if we could find someone to help investigate this (and bug 1469486).
Looks like the UAF is on a cairo surface... dbolter, who owns this code nowadays?
Flags: needinfo?(dbolter)
Bas any thoughts on who could look at this?
Flags: needinfo?(dbolter) → needinfo?(bas)
Similar https://treeherder.mozilla.org/logviewer.html#?job_id=183810605&repo=autoland

15:40:20     INFO -  635 INFO TEST-START | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_tabs_hide.js
15:40:21     INFO -  GECKO(5660) | Waiting for browser load
15:40:21     INFO -  GECKO(5660) | Saw state f0001 and status 0
15:40:21     INFO -  GECKO(5660) | Saw state c0010 and status 0
15:40:21     INFO -  GECKO(5660) | Browser loaded http://example.com/?one
15:40:21     INFO -  GECKO(5660) | Waiting for browser load
15:40:21     INFO -  GECKO(5660) | Saw state f0001 and status 0
15:40:21     INFO -  GECKO(5660) | Saw state c0010 and status 0
15:40:21     INFO -  GECKO(5660) | Browser loaded http://example.com/?two
15:40:21     INFO -  GECKO(5660) | =================================================================
15:40:21    ERROR -  GECKO(5660) | ==5660==ERROR: AddressSanitizer: heap-buffer-overflow on address 0x123054b00090 at pc 0x7fff6188cfe6 bp 0x00c00c7fd560 sp 0x00c00c7fd5a8
15:40:21     INFO -  GECKO(5660) | WRITE of size 8 at 0x123054b00090 thread T47
15:40:22     INFO -  GECKO(5660) |     #0 0x7fff6188cfe5 in _cairo_gstate_init z:\build\build\src\gfx\cairo\cairo\src\cairo-gstate.c:121
15:40:22     INFO -  GECKO(5660) |     #1 0x7fff6193ee2c in _moz_cairo_create z:\build\build\src\gfx\cairo\cairo\src\cairo.c:399
15:40:22     INFO -  GECKO(5660) |     #2 0x7fff58af4e8e in mozilla::gfx::DrawTargetCairo::InitAlreadyReferenced(struct _cairo_surface *,struct mozilla::gfx::IntSizeTyped<struct mozilla::gfx::UnknownUnits> const &,enum mozilla::gfx::SurfaceFormat *) z:\build\build\src\gfx\2d\DrawTargetCairo.cpp:1919
15:40:22     INFO -  GECKO(5660) |     #3 0x7fff58a1f735 in mozilla::gfx::Factory::CreateDrawTargetForCairoSurface(struct _cairo_surface *,struct mozilla::gfx::IntSizeTyped<struct mozilla::gfx::UnknownUnits> const &,enum mozilla::gfx::SurfaceFormat *) z:\build\build\src\gfx\2d\Factory.cpp:1034
15:40:22     INFO -  GECKO(5660) |     #4 0x7fff5f53ec4c in mozilla::widget::WinCompositorWidget::StartRemoteDrawing(void) z:\build\build\src\widget\windows\WinCompositorWidget.cpp:114
15:40:22     INFO -  GECKO(5660) |     #5 0x7fff5f48fb05 in mozilla::widget::CompositorWidget::StartRemoteDrawingInRegion(class mozilla::gfx::IntRegionTyped<struct mozilla::LayoutDevicePixel> &,enum mozilla::layers::BufferMode *) z:\build\build\src\widget\CompositorWidget.h:159
15:40:22     INFO -  GECKO(5660) |     #6 0x7fff59254845 in mozilla::layers::BasicCompositor::BeginFrame(class mozilla::gfx::IntRegionTyped<struct mozilla::gfx::UnknownUnits> const &,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> const *,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> const &,class mozilla::gfx::IntRegionTyped<struct mozilla::gfx::UnknownUnits> const &,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> *,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> *) z:\build\build\src\gfx\layers\basic\BasicCompositor.cpp:928
15:40:22     INFO -  GECKO(5660) |     #7 0x7fff593a7511 in mozilla::layers::LayerManagerComposite::Render(class mozilla::gfx::IntRegionTyped<struct mozilla::gfx::UnknownUnits> const &,class mozilla::gfx::IntRegionTyped<struct mozilla::gfx::UnknownUnits> const &) z:\build\build\src\gfx\layers\composite\LayerManagerComposite.cpp:918
15:40:22     INFO -  GECKO(5660) |     #8 0x7fff593a5001 in mozilla::layers::LayerManagerComposite::UpdateAndRender(void) z:\build\build\src\gfx\layers\composite\LayerManagerComposite.cpp:534
15:40:22     INFO -  GECKO(5660) |     #9 0x7fff593a373c in mozilla::layers::LayerManagerComposite::EndTransaction(class mozilla::TimeStamp const &,enum mozilla::layers::LayerManager::EndTransactionFlags) z:\build\build\src\gfx\layers\composite\LayerManagerComposite.cpp:464
15:40:22     INFO -  GECKO(5660) |     #10 0x7fff5945383f in mozilla::layers::CompositorBridgeParent::CompositeToTarget(class mozilla::gfx::DrawTarget *,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> const *) z:\build\build\src\gfx\layers\ipc\CompositorBridgeParent.cpp:1068
15:40:22     INFO -  GECKO(5660) |     #11 0x7fff5946f569 in mozilla::layers::CompositorVsyncScheduler::Composite(class mozilla::TimeStamp) z:\build\build\src\gfx\layers\ipc\CompositorVsyncScheduler.cpp:243
15:40:22     INFO -  GECKO(5660) |     #12 0x7fff5949cae1 in mozilla::detail::RunnableMethodImpl<class mozilla::layers::CompositorVsyncScheduler *,void ( mozilla::layers::CompositorVsyncScheduler::*)(class mozilla::TimeStamp),1,1,class mozilla::TimeStamp>::Run(void) z:\build\build\src\obj-firefox\dist\include\nsThreadUtils.h:1216
15:40:22     INFO -  GECKO(5660) |     #13 0x7fff576098b3 in ?DeferOrRunPendingTask@MessageLoop@@IEAA_N$$QEAUPendingTask@1@@Z z:\build\build\src\ipc\chromium\src\base\message_loop.cc:459
15:40:22     INFO -  GECKO(5660) |     #14 0x7fff5760b09e in MessageLoop::DoWork(void) z:\build\build\src\ipc\chromium\src\base\message_loop.cc:534
15:40:22     INFO -  GECKO(5660) |     #15 0x7fff575db682 in base::MessagePumpForUI::DoRunLoop(void) z:\build\build\src\ipc\chromium\src\base\message_pump_win.cc:210
15:40:22     INFO -  GECKO(5660) |     #16 0x7fff575ddad9 in base::MessagePumpWin::Run(class base::MessagePump::Delegate *) z:\build\build\src\ipc\chromium\src\base\message_pump_win.h:80
15:40:22     INFO -  GECKO(5660) |     #17 0x7fff5760865e in MessageLoop::RunHandler(void) z:\build\build\src\ipc\chromium\src\base\message_loop.cc:318
15:40:22     INFO -  GECKO(5660) |     #18 0x7fff57618e55 in base::Thread::ThreadMain(void) z:\build\build\src\ipc\chromium\src\base\thread.cc:181
15:40:22     INFO -  GECKO(5660) |     #19 0x7fff575df4ef in `anonymous namespace'::ThreadFunc z:\build\build\src\ipc\chromium\src\base\platform_thread_win.cc:28
15:40:22     INFO -  GECKO(5660) |     #20 0x7fff6afed0b8  (Z:\task_1529421273\build\application\firefox\clang_rt.asan_dynamic-x86_64.dll+0x18003d0b8)
15:40:22     INFO -  GECKO(5660) |     #21 0x7fff8a5c2773  (C:\Windows\System32\KERNEL32.DLL+0x180012773)
15:40:22     INFO -  GECKO(5660) |     #22 0x7fff7b535441 in patched_BaseThreadInitThunk z:\build\build\src\mozglue\build\WindowsDllBlocklist.cpp:622
15:40:22     INFO -  GECKO(5660) |     #23 0x7fff8ceb0d60  (C:\Windows\SYSTEM32\ntdll.dll+0x180070d60)
15:40:22     INFO -  GECKO(5660) | Address 0x123054b00090 is a wild pointer.
15:40:22     INFO -  GECKO(5660) | SUMMARY: AddressSanitizer: heap-buffer-overflow z:\build\build\src\gfx\cairo\cairo\src\cairo-gstate.c:121 in _cairo_gstate_init
15:40:22     INFO -  GECKO(5660) | Shadow bytes around the buggy address:
15:40:22     INFO -  GECKO(5660) |   0x04405efdffc0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
15:40:22     INFO -  GECKO(5660) |   0x04405efdffd0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
15:40:22     INFO -  GECKO(5660) |   0x04405efdffe0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
15:40:22     INFO -  GECKO(5660) |   0x04405efdfff0: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
15:40:22     INFO -  GECKO(5660) |   0x04405efe0000: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
15:40:22     INFO -  GECKO(5660) | =>0x04405efe0010: fa fa[fa]fa fa fa fa fa fa fa fa fa fa fa fa fa
15:40:22     INFO -  GECKO(5660) |   0x04405efe0020: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
15:40:22     INFO -  GECKO(5660) |   0x04405efe0030: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
15:40:22     INFO -  GECKO(5660) |   0x04405efe0040: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
15:40:22     INFO -  GECKO(5660) |   0x04405efe0050: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
15:40:22     INFO -  GECKO(5660) |   0x04405efe0060: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
15:40:22     INFO -  GECKO(5660) | Shadow byte legend (one shadow byte represents 8 application bytes):
15:40:22     INFO -  GECKO(5660) |   Addressable:           00
15:40:22     INFO -  GECKO(5660) |   Partially addressable: 01 02 03 04 05 06 07
15:40:22     INFO -  GECKO(5660) |   Heap left redzone:       fa
15:40:22     INFO -  GECKO(5660) |   Freed heap region:       fd
15:40:22     INFO -  GECKO(5660) |   Stack left redzone:      f1
15:40:22     INFO -  GECKO(5660) |   Stack mid redzone:       f2
15:40:22     INFO -  GECKO(5660) |   Stack right redzone:     f3
15:40:22     INFO -  GECKO(5660) |   Stack after return:      f5
15:40:22     INFO -  GECKO(5660) |   Stack use after scope:   f8
15:40:22     INFO -  GECKO(5660) |   Global redzone:          f9
15:40:22     INFO -  GECKO(5660) |   Global init order:       f6
15:40:22     INFO -  GECKO(5660) |   Poisoned by user:        f7
15:40:22     INFO -  GECKO(5660) |   Container overflow:      fc
15:40:22     INFO -  GECKO(5660) |   Array cookie:            ac
15:40:22     INFO -  GECKO(5660) |   Intra object redzone:    bb
15:40:22     INFO -  GECKO(5660) |   ASan internal:           fe
15:40:22     INFO -  GECKO(5660) |   Left alloca redzone:     ca
15:40:22     INFO -  GECKO(5660) |   Right alloca redzone:    cb
15:40:22     INFO -  GECKO(5660) |   Shadow gap:              cc
15:40:22     INFO -  GECKO(5660) | Thread T47 created by T0 here:
15:40:22     INFO -  GECKO(5660) |     #0 0x7fff6afee200  (Z:\task_1529421273\build\application\firefox\clang_rt.asan_dynamic-x86_64.dll+0x18003e200)
15:40:22     INFO -  GECKO(5660) |     #1 0x7fff575df48f in PlatformThread::Create(unsigned __int64,class PlatformThread::Delegate *,void * *) z:\build\build\src\ipc\chromium\src\base\platform_thread_win.cc:86
15:40:22     INFO -  GECKO(5660) |     #2 0x7fff5761870c in base::Thread::StartWithOptions(struct base::Thread::Options const &) z:\build\build\src\ipc\chromium\src\base\thread.cc:99
15:40:22     INFO -  GECKO(5660) |     #3 0x7fff5946dd8c in mozilla::layers::CompositorThreadHolder::CompositorThreadHolder(void) z:\build\build\src\gfx\layers\ipc\CompositorThread.cpp:53
15:40:22     INFO -  GECKO(5660) |     #4 0x7fff5946e0c0 in mozilla::layers::CompositorThreadHolder::Start(void) z:\build\build\src\gfx\layers\ipc\CompositorThread.cpp:124
15:40:22     INFO -  GECKO(5660) |     #5 0x7fff5954ed2b in gfxPlatform::Init(void) z:\build\build\src\gfx\thebes\gfxPlatform.cpp:777
15:40:22     INFO -  GECKO(5660) |     #6 0x7fff5954bcd3 in gfxPlatform::GetPlatform(void) z:\build\build\src\gfx\thebes\gfxPlatform.cpp:534
15:40:22     INFO -  GECKO(5660) |     #7 0x7fff5fc1c49f in nsRefreshDriver::ChooseTimer(void)const  z:\build\build\src\layout\base\nsRefreshDriver.cpp:1110
15:40:22     INFO -  GECKO(5660) |     #8 0x7fff5fc1ff5b in nsRefreshDriver::EnsureTimerStarted(enum nsRefreshDriver::EnsureTimerStartedFlags) z:\build\build\src\layout\base\nsRefreshDriver.cpp:1360
15:40:22     INFO -  GECKO(5660) |     #9 0x7fff5fc896a6 in nsRefreshDriver::AddStyleFlushObserver(class nsIPresShell *) z:\build\build\src\layout\base\nsRefreshDriver.h:188
15:40:22     INFO -  GECKO(5660) |     #10 0x7fff5fe601e4 in nsPresContext::CompatibilityModeChanged(void) z:\build\build\src\layout\base\nsPresContext.cpp:1182
15:40:22     INFO -  GECKO(5660) |     #11 0x7fff5fc833ad in mozilla::PresShell::Init(class nsIDocument *,class nsPresContext *,class nsViewManager *,class mozilla::UniquePtr<class mozilla::ServoStyleSet,class mozilla::DefaultDelete<class mozilla::ServoStyleSet> >) z:\build\build\src\layout\base\PresShell.cpp:951
15:40:22     INFO -  GECKO(5660) |     #12 0x7fff59f67201 in nsIDocument::CreateShell(class nsPresContext *,class nsViewManager *,class mozilla::UniquePtr<class mozilla::ServoStyleSet,class mozilla::DefaultDelete<class mozilla::ServoStyleSet> >) z:\build\build\src\dom\base\nsDocument.cpp:3782
15:40:22     INFO -  GECKO(5660) |     #13 0x7fff5fda60bf in nsDocumentViewer::InitPresentationStuff(bool) z:\build\build\src\layout\base\nsDocumentViewer.cpp:794
15:40:22     INFO -  GECKO(5660) |     #14 0x7fff5fda53eb in nsDocumentViewer::InitInternal(class nsIWidget *,class nsISupports *,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> const &,bool,bool,bool) z:\build\build\src\layout\base\nsDocumentViewer.cpp:1044
15:40:22     INFO -  GECKO(5660) |     #15 0x7fff5fda4570 in nsDocumentViewer::Init(class nsIWidget *,struct mozilla::gfx::IntRectTyped<struct mozilla::gfx::UnknownUnits> const &) z:\build\build\src\layout\base\nsDocumentViewer.cpp:769
15:40:22     INFO -  GECKO(5660) |     #16 0x7fff62eb3467 in nsDocShell::SetupNewViewer(class nsIContentViewer *) z:\build\build\src\docshell\base\nsDocShell.cpp:8972
15:40:22     INFO -  GECKO(5660) |     #17 0x7fff62eb1e62 in nsDocShell::Embed(class nsIContentViewer *,char const *,class nsISupports *) z:\build\build\src\docshell\base\nsDocShell.cpp:6782
15:40:22     INFO -  GECKO(5660) |     #18 0x7fff62ec31aa in nsDocShell::CreateAboutBlankContentViewer(class nsIPrincipal *,class nsIURI *,bool,bool) z:\build\build\src\docshell\base\nsDocShell.cpp:7661
15:40:22     INFO -  GECKO(5660) |     #19 0x7fff62ec487a in nsDocShell::CreateAboutBlankContentViewer(class nsIPrincipal *) z:\build\build\src\docshell\base\nsDocShell.cpp:7686
15:40:22     INFO -  GECKO(5660) |     #20 0x7fff62f53310 in nsWebShellWindow::Initialize(class nsIXULWindow *,class nsIXULWindow *,class nsIURI *,int,int,bool,class nsITabParent *,class mozIDOMWindowProxy *,struct nsWidgetInitData &) z:\build\build\src\xpfe\appshell\nsWebShellWindow.cpp:233
15:40:22     INFO -  GECKO(5660) |     #21 0x7fff62f4d1f8 in nsAppShellService::JustCreateTopWindow(class nsIXULWindow *,class nsIURI *,unsigned int,int,int,bool,class nsITabParent *,class mozIDOMWindowProxy *,class nsWebShellWindow * *) z:\build\build\src\xpfe\appshell\nsAppShellService.cpp:736
15:40:22     INFO -  GECKO(5660) |     #22 0x7fff62f4f38c in nsAppShellService::CreateTopLevelWindow(class nsIXULWindow *,class nsIURI *,unsigned int,int,int,class nsITabParent *,class mozIDOMWindowProxy *,class nsIXULWindow * *) z:\build\build\src\xpfe\appshell\nsAppShellService.cpp:200
15:40:22     INFO -  GECKO(5660) |     #23 0x7fff638288cf in nsAppStartup::CreateChromeWindow2(class nsIWebBrowserChrome *,unsigned int,class nsITabParent *,class mozIDOMWindowProxy *,unsigned __int64,bool *,class nsIWebBrowserChrome * *) z:\build\build\src\toolkit\components\startup\nsAppStartup.cpp:680
15:40:22     INFO -  GECKO(5660) |     #24 0x7fff63a14934 in nsWindowWatcher::CreateChromeWindow(class nsTSubstring<char> const &,class nsIWebBrowserChrome *,unsigned int,class nsITabParent *,class mozIDOMWindowProxy *,unsigned __int64,class nsIWebBrowserChrome * *) z:\build\build\src\toolkit\components\windowwatcher\nsWindowWatcher.cpp:467
15:40:22     INFO -  GECKO(5660) |     #25 0x7fff63a0f6c8 in nsWindowWatcher::OpenWindowInternal(class mozIDOMWindowProxy *,char const *,char const *,char const *,bool,bool,bool,class nsIArray *,bool,bool,class nsIDocShellLoadInfo *,class mozIDOMWindowProxy * *) z:\build\build\src\toolkit\components\windowwatcher\nsWindowWatcher.cpp:938
15:40:22     INFO -  GECKO(5660) |     #26 0x7fff63a0ade4 in nsWindowWatcher::OpenWindow(class mozIDOMWindowProxy *,char const *,char const *,char const *,class nsISupports *,class mozIDOMWindowProxy * *) z:\build\build\src\toolkit\components\windowwatcher\nsWindowWatcher.cpp:327
15:40:22     INFO -  GECKO(5660) |     #27 0x7fff6628e431 in XPTC__InvokebyIndex (Z:\task_1529421273\build\application\firefox\xul.dll+0x18fe8e431)
15:40:22     INFO -  GECKO(5660) |     #28 0x7fff58230382 in XPCWrappedNative::CallMethod(class XPCCallContext &,enum XPCWrappedNative::CallMode) z:\build\build\src\js\xpconnect\src\XPCWrappedNative.cpp:1186
15:40:22     INFO -  GECKO(5660) |     #29 0x7fff58237649 in XPC_WN_CallMethod(struct JSContext *,unsigned int,union JS::Value *) z:\build\build\src\js\xpconnect\src\XPCWrappedNativeJSOps.cpp:899
15:40:22     INFO -  GECKO(5660) |     #30 0x7fff65633332 in js::InternalCallOrConstruct(struct JSContext *,class JS::CallArgs const &,enum js::MaybeConstruct) z:\build\build\src\js\src\vm\Interpreter.cpp:471
15:40:22     INFO -  GECKO(5660) |     #31 0x7fff65634a15 in InternalCall z:\build\build\src\js\src\vm\Interpreter.cpp:520
15:40:22     INFO -  GECKO(5660) |     #32 0x7fff65617fe7 in Interpret z:\build\build\src\js\src\vm\Interpreter.cpp:3122
15:40:22     INFO -  GECKO(5660) |     #33 0x7fff655fc1d0 in js::RunScript(struct JSContext *,class js::RunState &) z:\build\build\src\js\src\vm\Interpreter.cpp:421
15:40:22     INFO -  GECKO(5660) |     #34 0x7fff65633934 in js::InternalCallOrConstruct(struct JSContext *,class JS::CallArgs const &,enum js::MaybeConstruct) z:\build\build\src\js\src\vm\Interpreter.cpp:493
15:40:22     INFO -  GECKO(5660) |     #35 0x7fff65634a15 in InternalCall z:\build\build\src\js\src\vm\Interpreter.cpp:520
15:40:22     INFO -  GECKO(5660) |     #36 0x7fff65634c46 in js::Call(struct JSContext *,class JS::Handle<union JS::Value>,class JS::Handle<union JS::Value>,class js::AnyInvokeArgs const &,class JS::MutableHandle<union JS::Value>) z:\build\build\src\js\src\vm\Interpreter.cpp:539
15:40:22     INFO -  GECKO(5660) |     #37 0x7fff63cd1ccb in JS_CallFunctionValue(struct JSContext *,class JS::Handle<class JSObject *>,class JS::Handle<union JS::Value>,class JS::HandleValueArray const &,class JS::MutableHandle<union JS::Value>) z:\build\build\src\js\src\jsapi.cpp:2851
15:40:22     INFO -  GECKO(5660) |     #38 0x7fff582159af in nsXPCWrappedJSClass::CallMethod(class nsXPCWrappedJS *,unsigned short,struct nsXPTMethodInfo const *,struct nsXPTCMiniVariant *) z:\build\build\src\js\xpconnect\src\XPCWrappedJSClass.cpp:1123
15:40:22     INFO -  GECKO(5660) |     #39 0x7fff58213643 in nsXPCWrappedJS::CallMethod(unsigned short,struct nsXPTMethodInfo const *,struct nsXPTCMiniVariant *) z:\build\build\src\js\xpconnect\src\XPCWrappedJS.cpp:611
15:40:22     INFO -  GECKO(5660) |     #40 0x7fff566e2e62 in PrepareAndDispatch z:\build\build\src\xpcom\reflect\xptcall\md\win32\xptcstubs_x86_64.cpp:173
15:40:22     INFO -  GECKO(5660) |     #41 0x7fff6628e488 in SharedStub (Z:\task_1529421273\build\application\firefox\xul.dll+0x18fe8e488)
15:40:22     INFO -  GECKO(5660) |     #42 0x7fff566477b7 in NS_CreateServicesFromCategory(char const *,class nsISupports *,char const *,UNKNOWN const *) z:\build\build\src\xpcom\components\nsCategoryManager.cpp:810
15:40:22     INFO -  GECKO(5660) |     #43 0x7fff63aefe39 in nsXREDirProvider::DoStartup(void) z:\build\build\src\toolkit\xre\nsXREDirProvider.cpp:999
15:40:22     INFO -  GECKO(5660) |     #44 0x7fff63ab8bac in XREMain::XRE_mainRun(void) z:\build\build\src\toolkit\xre\nsAppRunner.cpp:4574
15:40:22     INFO -  GECKO(5660) |     #45 0x7fff63abedb4 in XREMain::XRE_main(int,char * * const,struct mozilla::BootstrapConfig const &) z:\build\build\src\toolkit\xre\nsAppRunner.cpp:4891
15:40:22     INFO -  GECKO(5660) |     #46 0x7fff63ac12c0 in XRE_main(int,char * * const,struct mozilla::BootstrapConfig const &) z:\build\build\src\toolkit\xre\nsAppRunner.cpp:4983
15:40:22     INFO -  GECKO(5660) |     #47 0x7ff6b1681e3d  (Z:\task_1529421273\build\application\firefox\firefox.exe+0x140001e3d)
15:40:22     INFO -  GECKO(5660) |     #48 0x7ff6b1681529  (Z:\task_1529421273\build\application\firefox\firefox.exe+0x140001529)
15:40:22     INFO -  GECKO(5660) |     #49 0x7ff6b177ac87  (Z:\task_1529421273\build\application\firefox\firefox.exe+0x1400fac87)
15:40:22     INFO -  GECKO(5660) |     #50 0x7fff8a5c2773  (C:\Windows\System32\KERNEL32.DLL+0x180012773)
15:40:22     INFO -  GECKO(5660) |     #51 0x7fff8ceb0d60  (C:\Windows\SYSTEM32\ntdll.dll+0x180070d60)
15:40:22     INFO -  GECKO(5660) | ==5660==ABORTING
Normally this would be Jeff, but I can probably look at this as well.
Flags: needinfo?(bas)
This is not actually a cairo issue though, this is a widget bug, there is a race condition here where the compositor thread and the main thread race over mTransparentSurface on the widget. This can probably be address with some type of lock to access of mTransparentSurface. There may be other solutions though. This seems like the most obvious one and I can implement it, or someone from widget may want to weigh in. (I'm not sure if it's a bug in widget here that we allow window clearing while a remote composition is going on)

Note that the failure in comment 7 seems to be completely unrelated.
Flags: needinfo?(dbolter)
This code was mostly written by David, so it's hard to decide who should review this. Ryan, I'm sort of randomly asking you to sanity check what I did.
Assignee: nobody → bas
Attachment #8986474 - Flags: feedback?
Attachment #8986474 - Flags: feedback? → feedback?(rhunt)
Comment on attachment 8986474 [details] [diff] [review]
Protect access to mTransparentSurface with a lock

Nice catch.
Attachment #8986474 - Flags: feedback?(rhunt) → feedback+
Thanks Bas (removing my NI)
Flags: needinfo?(dbolter)
Attachment #8986474 - Flags: review+
See Also: → 1470054
Duplicate of this bug: 1468211
(In reply to Ryan VanderMeulen [:RyanVM] from comment #15)
> BTW, bug 1414865 looks clearly like the same issue. Hooray for ASAN making
> these easier to spot now!
> https://treeherder.mozilla.org/logviewer.html#?job_id=181973760&repo=mozilla-
> esr60&lineNumber=11361

Wish I would have seen that one before! Didn't realize we had a UAF crash there.
https://hg.mozilla.org/integration/mozilla-inbound/rev/98bac674e9bc6346b4d3253771e98846782dbeeb
https://hg.mozilla.org/mozilla-central/rev/98bac674e9bc
Group: gfx-core-security → core-security-release
Status: NEW → RESOLVED
Closed: Last year
Resolution: --- → FIXED
Target Milestone: --- → mozilla62
Can we make sure to confirm this fixed the issue?
This had hit 3 times in the last 16 days in our CI (_cairo_gstate_init hit twice). Can the fuzzing team help with this verification request?
Flags: needinfo?(choller)
(In reply to Sebastian Hengst [:aryx] (needinfo on intermittent or backout) from comment #20)
> This had hit 3 times in the last 16 days in our CI (_cairo_gstate_init hit
> twice). Can the fuzzing team help with this verification request?

We might be able to see if bug 1414865 is fixed.
I couldn't find any related fuzzing results in our database.
Flags: needinfo?(choller)
This is not fixed: https://treeherder.mozilla.org/logviewer.html#?job_id=187211349&repo=autoland
Status: RESOLVED → REOPENED
Flags: needinfo?(bas)
Resolution: FIXED → ---
(In reply to Sebastian Hengst [:aryx] (needinfo on intermittent or backout) from comment #23)
> This is not fixed:
> https://treeherder.mozilla.org/logviewer.html#?job_id=187211349&repo=autoland

Note this stack is pretty different from the original bug, although almost certainly they'd be closely related.
Flags: needinfo?(bas)
That new failure is tracked in bug 1475594.
Status: REOPENED → RESOLVED
Closed: Last yearLast year
Resolution: --- → FIXED
Flags: qe-verify-
Whiteboard: [post-critsmash-triage]
Please nominate this for ESR60 approval when you get a chance.
Flags: needinfo?(bas)
Comment on attachment 8986474 [details] [diff] [review]
Protect access to mTransparentSurface with a lock

Review of attachment 8986474 [details] [diff] [review]:
-----------------------------------------------------------------

Requesting ESR approval as per Ryan's suggestion.
Attachment #8986474 - Flags: approval-mozilla-esr60?
Comment on attachment 8986474 [details] [diff] [review]
Protect access to mTransparentSurface with a lock

Approved for ESR 60.2.
Flags: needinfo?(bas)
Attachment #8986474 - Flags: approval-mozilla-esr60? → approval-mozilla-esr60+
Whiteboard: [post-critsmash-triage] → [post-critsmash-triage][adv-main62+][adv-esr60.2+]
Group: core-security-release
You need to log in before you can comment on or make changes to this bug.